package labss.lang.il.model.impl;

import org.whole.lang.model.AbstractDataEntity;
import labss.lang.il.model.*;
import labss.lang.il.visitors.IILVisitor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;

/** 
 * @generator Whole
 */
public class IntLiteralImpl extends AbstractDataEntity implements IntLiteral {
	private static final long serialVersionUID = 1;

	private int value;

	public int getValue() {
		return notifyRequested(value);
	}

	public void setValue(int value) {
		notifyChanged(this.value, this.value = value);
	}

	public void accept(IILVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return ILEntityDescriptorEnum.IntLiteral_ord;
	}

	public EntityDescriptor<IntLiteral> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.IntLiteral;
	}

	public Object wGetValue() {
		return new Integer(getValue());
	}

	public void wSetValue(Object value) {
		setValue(((Integer) value).intValue());
	}

	public String wStringValue() {
		return toString();
	}

	public void wSetValue(String value) {
		try {
			setValue(Integer.valueOf(value).intValue());
		} catch (NumberFormatException e) {
		}
	}

	public int wIntValue() {
		return getValue();
	}

	public void wSetValue(int value) {
		setValue(value);
	}
}
