package labss.lang.il.reflect;

import org.whole.lang.reflect.FeatureDescriptorEnum;
import org.whole.lang.reflect.FeatureDescriptor;

/** 
 * @generator Whole
 */
public class ILFeatureDescriptorEnum extends FeatureDescriptorEnum {
	public static final int condition_ord = 0;

	public static final int trueBody_ord = 1;

	public static final int falseBody_ord = 2;

	public static final int variable_ord = 3;

	public static final int expression_ord = 4;

	public static final int exp1_ord = 5;

	public static final int exp2_ord = 6;

	public static final int exp_ord = 7;

	public static final ILFeatureDescriptorEnum instance = new ILFeatureDescriptorEnum();

	public static final FeatureDescriptor condition = instance
			.valueOf(condition_ord);

	public static final FeatureDescriptor trueBody = instance
			.valueOf(trueBody_ord);

	public static final FeatureDescriptor falseBody = instance
			.valueOf(falseBody_ord);

	public static final FeatureDescriptor variable = instance
			.valueOf(variable_ord);

	public static final FeatureDescriptor expression = instance
			.valueOf(expression_ord);

	public static final FeatureDescriptor exp1 = instance.valueOf(exp1_ord);

	public static final FeatureDescriptor exp2 = instance.valueOf(exp2_ord);

	public static final FeatureDescriptor exp = instance.valueOf(exp_ord);

	private ILFeatureDescriptorEnum() {
		featureDescriptor(condition_ord, "condition");
		featureDescriptor(trueBody_ord, "trueBody");
		featureDescriptor(falseBody_ord, "falseBody");
		featureDescriptor(variable_ord, "variable");
		featureDescriptor(expression_ord, "expression");
		featureDescriptor(exp1_ord, "exp1");
		featureDescriptor(exp2_ord, "exp2");
		featureDescriptor(exp_ord, "exp");
	}

	private static final long serialVersionUID = 1;
}
