package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class ClassificatoAdapter extends AbstractEntityAdapter implements
		Classificato {
	private static final long serialVersionUID = 1;

	public ClassificatoAdapter(IEntity implementor) {
		super(implementor);
	}

	public ClassificatoAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Classificato> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Classificato;
	}

	public Nome getNome() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void setNome(Nome nome) {
		wSet(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public Numero getPunti() {
		return (Numero) wGet(MotoMondialeFeatureDescriptorEnum.punti);
	}

	public void setPunti(Numero punti) {
		wSet(MotoMondialeFeatureDescriptorEnum.punti, punti);
	}
}
