package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractDataEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;

/** 
 * @generator Whole
 */
public class NumeroImpl extends AbstractDataEntity implements Numero {
	private static final long serialVersionUID = 1;

	private int value;

	public int getValue() {
		return notifyRequested(value);
	}

	public void setValue(int value) {
		notifyChanged(this.value, this.value = value);
	}

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Numero_ord;
	}

	public EntityDescriptor<Numero> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Numero;
	}

	public Object wGetValue() {
		return new Integer(getValue());
	}

	public void wSetValue(Object value) {
		setValue(((Integer) value).intValue());
	}

	public String wStringValue() {
		return toString();
	}

	public void wSetValue(String value) {
		try {
			setValue(Integer.valueOf(value).intValue());
		} catch (NumberFormatException e) {
		}
	}

	public int wIntValue() {
		return getValue();
	}

	public void wSetValue(int value) {
		setValue(value);
	}
}
