package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;
import java.lang.StringBuffer;

/** 
 * @generator Whole
 */
public class TeamImpl extends AbstractSimpleEntity implements Team {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Team_ord;
	}

	public EntityDescriptor<Team> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Team;
	}

	public int wHashCode() {
		return getNome().wHashCode();
	}

	public boolean wEquals(IEntity entity) {
		if (this == entity)
			return true;
		if (!wGetEntityDescriptor().equals(entity.wGetEntityDescriptor()))
			return false;
		try {
			return getNome().wEquals(
					entity.wGet(MotoMondialeFeatureDescriptorEnum.nome));
		} catch (Exception e) {
			return false;
		}
	}

	protected void toString(StringBuffer buffer) {
		buffer.append("nome=");
		buffer.append(nome);
	}

	private Nome nome;

	public Nome getNome() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public void setNome(Nome nome) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.nome, this.nome,
				this.nome = nome);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getNome();
		case 1:
			return getCostruttore();
		case 2:
			return getPilota1();
		case 3:
			return getPilota2();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setNome(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 1:
			setCostruttore(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Costruttore));
			break;
		case 2:
			setPilota1(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Pilota));
			break;
		case 3:
			setPilota2(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Pilota));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Costruttore costruttore;

	public Costruttore getCostruttore() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.costruttore,
				costruttore);
	}

	public void setCostruttore(Costruttore costruttore) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.costruttore,
				this.costruttore, this.costruttore = costruttore);
	}

	private Pilota pilota1;

	public Pilota getPilota1() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.pilota1,
				pilota1);
	}

	public void setPilota1(Pilota pilota1) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.pilota1, this.pilota1,
				this.pilota1 = pilota1);
	}

	private Pilota pilota2;

	public Pilota getPilota2() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.pilota2,
				pilota2);
	}

	public void setPilota2(Pilota pilota2) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.pilota2, this.pilota2,
				this.pilota2 = pilota2);
	}

	public int wSize() {
		return 4;
	}
}
