package labss.lang.motomondiale.reflect;

import org.whole.lang.reflect.AbstractLanguageKit;
import org.whole.lang.reflect.EntityDescriptorEnum;
import org.whole.lang.reflect.FeatureDescriptorEnum;
import org.whole.lang.factories.IEntityRegistry;
import labss.lang.motomondiale.model.impl.MotoMondialeImplEntityRegistry;
import labss.lang.motomondiale.model.impl.MotoMondialeStrictImplEntityRegistry;
import labss.lang.motomondiale.model.adapters.MotoMondialeAdaptersEntityRegistry;
import org.whole.lang.templates.ITemplateManager;

/** 
 * @generator Whole
 */
public class MotoMondialeLanguageKit extends AbstractLanguageKit {
	public static final String ID = MotoMondialeLanguageKit.class.getName();

	public String getId() {
		return ID;
	}

	public String getURI() {
		return "http://lang.labss/MotoMondiale";
	}

	public String getVersion() {
		return "20070508T1656Z";
	}

	public String getName() {
		return "MotoMondiale";
	}

	public EntityDescriptorEnum getEntityDescriptorEnum() {
		return MotoMondialeEntityDescriptorEnum.instance;
	}

	public FeatureDescriptorEnum getFeatureDescriptorEnum() {
		return MotoMondialeFeatureDescriptorEnum.instance;
	}

	protected IEntityRegistry createImplEntityRegistry() {
		return new MotoMondialeImplEntityRegistry();
	}

	protected IEntityRegistry createStrictImplEntityRegistry() {
		return new MotoMondialeStrictImplEntityRegistry();
	}

	protected IEntityRegistry createAdaptersEntityRegistry() {
		return new MotoMondialeAdaptersEntityRegistry();
	}

	public ITemplateManager getTemplateManager() {
		return MotoMondialeTemplateManager.instance();
	}
}
