package labss.lang.motomondiale.visitors;

import labss.lang.motomondiale.model.*;
import org.whole.lang.visitors.IUnaryVisitor;
import org.whole.lang.visitors.IVisitor;

/** 
 * @generator Whole
 */
public class MotoMondialeTraverseAllVisitor extends MotoMondialeIdentityVisitor
		implements IUnaryVisitor {
	protected IMotoMondialeVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = (IMotoMondialeVisitor) visitor1;
	}

	public MotoMondialeTraverseAllVisitor() {
		wSetVisitor1(this);
	}

	public MotoMondialeTraverseAllVisitor(IVisitor visitor1) {
		wSetVisitor1(visitor1);
	}

	public void visit(MotoMondiale entity) {
		entity.getCalendario().accept(visitor1);
		entity.getCircuiti().accept(visitor1);
		entity.getTeams().accept(visitor1);
		entity.getClassifiche().accept(visitor1);
	}

	public void visit(Calendario entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Gara) entity.wGet(i)).accept(visitor1);
	}

	public void visit(Gara entity) {
		entity.getNomeCircuito().accept(visitor1);
		entity.getData().accept(visitor1);
		entity.getOrdineDArrivo().accept(visitor1);
	}

	public void visit(OrdineDArrivo entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Nome) entity.wGet(i)).accept(visitor1);
	}

	public void visit(Circuiti entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Circuito) entity.wGet(i)).accept(visitor1);
	}

	public void visit(Circuito entity) {
		entity.getNome().accept(visitor1);
		entity.getLuogo().accept(visitor1);
		entity.getLunghezzaTracciato().accept(visitor1);
		entity.getCurveADestra().accept(visitor1);
		entity.getCurveASinistra().accept(visitor1);
		entity.getGiri().accept(visitor1);
	}

	public void visit(Teams entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Team) entity.wGet(i)).accept(visitor1);
	}

	public void visit(Team entity) {
		entity.getNome().accept(visitor1);
		entity.getCostruttore().accept(visitor1);
		entity.getPilota1().accept(visitor1);
		entity.getPilota2().accept(visitor1);
	}

	public void visit(Pilota entity) {
		entity.getNome().accept(visitor1);
		entity.getNumero().accept(visitor1);
	}

	public void visit(Classifiche entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Classifica) entity.wGet(i)).accept(visitor1);
	}

	public void visit(Classifica entity) {
		entity.getNome().accept(visitor1);
		entity.getClassificati().accept(visitor1);
	}

	public void visit(Classificati entity) {
		for (int i = 0; i < entity.wSize(); i++)
			((Classificato) entity.wGet(i)).accept(visitor1);
	}

	public void visit(Classificato entity) {
		entity.getNome().accept(visitor1);
		entity.getPunti().accept(visitor1);
	}
}
