package labss.lang.regexp.model.impl;

import org.whole.lang.factories.AbstractEntityRegistry;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class RegExpImplEntityRegistry extends AbstractEntityRegistry {
	public RegExpImplEntityRegistry() {
		super(RegExpEntityDescriptorEnum.instance);
	}

	protected void createPrototypes() {
		put(new LiteralExpImpl());
		put(new SequenceExpImpl());
		put(new AlternationExpImpl());
		put(new RepetitionExpImpl());
	}
}
