package labss.lang.regexp.reflect;

import org.whole.lang.reflect.*;
import labss.lang.regexp.model.*;
import java.util.EnumSet;

/** 
 * @generator Whole
 */
@SuppressWarnings("unchecked")
public class RegExpEntityDescriptorEnum extends EntityDescriptorEnum {
	public static final int RegExp_ord = 0;

	public static final int LiteralExp_ord = 1;

	public static final int SequenceExp_ord = 2;

	public static final int AlternationExp_ord = 3;

	public static final int RepetitionExp_ord = 4;

	public static final RegExpEntityDescriptorEnum instance = new RegExpEntityDescriptorEnum();

	public static final EntityDescriptor<RegExp> RegExp = (EntityDescriptor<RegExp>) instance
			.valueOf(RegExp_ord);

	public static final EntityDescriptor<LiteralExp> LiteralExp = (EntityDescriptor<LiteralExp>) instance
			.valueOf(LiteralExp_ord);

	public static final EntityDescriptor<SequenceExp> SequenceExp = (EntityDescriptor<SequenceExp>) instance
			.valueOf(SequenceExp_ord);

	public static final EntityDescriptor<AlternationExp> AlternationExp = (EntityDescriptor<AlternationExp>) instance
			.valueOf(AlternationExp_ord);

	public static final EntityDescriptor<RepetitionExp> RepetitionExp = (EntityDescriptor<RepetitionExp>) instance
			.valueOf(RepetitionExp_ord);

	private RegExpEntityDescriptorEnum() {
		putSimpleEntityDescriptor(RegExp_ord, "RegExp", RegExp.class, EnumSet
				.of(EntityModifiers.ABSTRACT), new int[] { AlternationExp_ord,
				LiteralExp_ord, RepetitionExp_ord, SequenceExp_ord });
		putDataEntityDescriptor(LiteralExp_ord, "LiteralExp", LiteralExp.class,
				EnumSet.noneOf(EntityModifiers.class), String.class);
		putSimpleEntityDescriptor(SequenceExp_ord, "SequenceExp",
				SequenceExp.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { SequenceExp_ord }, new FeatureDescriptor[] {
						RegExpFeatureDescriptorEnum.exp1,
						RegExpFeatureDescriptorEnum.exp2 }, new int[] {
						RegExp_ord, RegExp_ord }, new Class[] { RegExp.class,
						RegExp.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(AlternationExp_ord, "AlternationExp",
				AlternationExp.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { AlternationExp_ord }, new FeatureDescriptor[] {
						RegExpFeatureDescriptorEnum.alt1,
						RegExpFeatureDescriptorEnum.alt2 }, new int[] {
						RegExp_ord, RegExp_ord }, new Class[] { RegExp.class,
						RegExp.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(
				RepetitionExp_ord,
				"RepetitionExp",
				RepetitionExp.class,
				EnumSet.noneOf(EntityModifiers.class),
				new int[] { RepetitionExp_ord },
				new FeatureDescriptor[] { RegExpFeatureDescriptorEnum.repetition },
				new int[] { RegExp_ord }, new Class[] { RegExp.class },
				new EnumSet[] { EnumSet.noneOf(FeatureModifiers.class) });
	}

	private static final long serialVersionUID = 1;
}
