package labss.lang.regexp.visitors;

import labss.lang.regexp.model.*;
import org.whole.lang.visitors.IUnaryVisitor;
import org.whole.lang.visitors.IVisitor;

/** 
 * @generator Whole
 */
public class RegExpTraverseAllVisitor extends RegExpIdentityVisitor implements
		IUnaryVisitor {
	protected IRegExpVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = (IRegExpVisitor) visitor1;
	}

	public RegExpTraverseAllVisitor() {
		wSetVisitor1(this);
	}

	public RegExpTraverseAllVisitor(IVisitor visitor1) {
		wSetVisitor1(visitor1);
	}

	public void visit(SequenceExp entity) {
		entity.getExp1().accept(visitor1);
		entity.getExp2().accept(visitor1);
	}

	public void visit(AlternationExp entity) {
		entity.getAlt1().accept(visitor1);
		entity.getAlt2().accept(visitor1);
	}

	public void visit(RepetitionExp entity) {
		entity.getRepetition().accept(visitor1);
	}
}
