package labss.lang.il.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.il.model.*;
import labss.lang.il.visitors.IILVisitor;
import labss.lang.il.reflect.ILEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.il.reflect.ILFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class IfStatementImpl extends AbstractSimpleEntity implements
		IfStatement {
	private static final long serialVersionUID = 1;

	public void accept(IILVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return ILEntityDescriptorEnum.IfStatement_ord;
	}

	public EntityDescriptor<IfStatement> wGetEntityDescriptor() {
		return ILEntityDescriptorEnum.IfStatement;
	}

	private Expression condition;

	public Expression getCondition() {
		return notifyRequested(ILFeatureDescriptorEnum.condition, condition);
	}

	public void setCondition(Expression condition) {
		notifyChanged(ILFeatureDescriptorEnum.condition, this.condition,
				this.condition = condition);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getCondition();
		case 1:
			return getTrueBody();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setCondition(value.wGetAdapter(ILEntityDescriptorEnum.Expression));
			break;
		case 1:
			setTrueBody(value.wGetAdapter(ILEntityDescriptorEnum.Statement));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Statement trueBody;

	public Statement getTrueBody() {
		return notifyRequested(ILFeatureDescriptorEnum.trueBody, trueBody);
	}

	public void setTrueBody(Statement trueBody) {
		notifyChanged(ILFeatureDescriptorEnum.trueBody, this.trueBody,
				this.trueBody = trueBody);
	}

	public int wSize() {
		return 2;
	}
}
