package labss.lang.il.reflect;

import org.whole.lang.reflect.*;
import labss.lang.il.model.*;
import java.util.EnumSet;

/** 
 * @generator Whole
 */
@SuppressWarnings("unchecked")
public class ILEntityDescriptorEnum extends EntityDescriptorEnum {
	public static final int Statement_ord = 0;

	public static final int BlockStatement_ord = 1;

	public static final int IfStatement_ord = 2;

	public static final int IfElseStatement_ord = 3;

	public static final int WhileStatement_ord = 4;

	public static final int AssignmentStatement_ord = 5;

	public static final int Expression_ord = 6;

	public static final int Literal_ord = 7;

	public static final int BooleanLiteral_ord = 8;

	public static final int IntLiteral_ord = 9;

	public static final int Variable_ord = 10;

	public static final int Addition_ord = 11;

	public static final int Subtraction_ord = 12;

	public static final int Multiplication_ord = 13;

	public static final int Division_ord = 14;

	public static final int And_ord = 15;

	public static final int Or_ord = 16;

	public static final int Not_ord = 17;

	public static final int Equals_ord = 18;

	public static final int LessThan_ord = 19;

	public static final int GreaterThan_ord = 20;

	public static final ILEntityDescriptorEnum instance = new ILEntityDescriptorEnum();

	public static final EntityDescriptor<Statement> Statement = (EntityDescriptor<Statement>) instance
			.valueOf(Statement_ord);

	public static final EntityDescriptor<BlockStatement> BlockStatement = (EntityDescriptor<BlockStatement>) instance
			.valueOf(BlockStatement_ord);

	public static final EntityDescriptor<IfStatement> IfStatement = (EntityDescriptor<IfStatement>) instance
			.valueOf(IfStatement_ord);

	public static final EntityDescriptor<IfElseStatement> IfElseStatement = (EntityDescriptor<IfElseStatement>) instance
			.valueOf(IfElseStatement_ord);

	public static final EntityDescriptor<WhileStatement> WhileStatement = (EntityDescriptor<WhileStatement>) instance
			.valueOf(WhileStatement_ord);

	public static final EntityDescriptor<AssignmentStatement> AssignmentStatement = (EntityDescriptor<AssignmentStatement>) instance
			.valueOf(AssignmentStatement_ord);

	public static final EntityDescriptor<Expression> Expression = (EntityDescriptor<Expression>) instance
			.valueOf(Expression_ord);

	public static final EntityDescriptor<Literal> Literal = (EntityDescriptor<Literal>) instance
			.valueOf(Literal_ord);

	public static final EntityDescriptor<BooleanLiteral> BooleanLiteral = (EntityDescriptor<BooleanLiteral>) instance
			.valueOf(BooleanLiteral_ord);

	public static final EntityDescriptor<IntLiteral> IntLiteral = (EntityDescriptor<IntLiteral>) instance
			.valueOf(IntLiteral_ord);

	public static final EntityDescriptor<Variable> Variable = (EntityDescriptor<Variable>) instance
			.valueOf(Variable_ord);

	public static final EntityDescriptor<Addition> Addition = (EntityDescriptor<Addition>) instance
			.valueOf(Addition_ord);

	public static final EntityDescriptor<Subtraction> Subtraction = (EntityDescriptor<Subtraction>) instance
			.valueOf(Subtraction_ord);

	public static final EntityDescriptor<Multiplication> Multiplication = (EntityDescriptor<Multiplication>) instance
			.valueOf(Multiplication_ord);

	public static final EntityDescriptor<Division> Division = (EntityDescriptor<Division>) instance
			.valueOf(Division_ord);

	public static final EntityDescriptor<And> And = (EntityDescriptor<And>) instance
			.valueOf(And_ord);

	public static final EntityDescriptor<Or> Or = (EntityDescriptor<Or>) instance
			.valueOf(Or_ord);

	public static final EntityDescriptor<Not> Not = (EntityDescriptor<Not>) instance
			.valueOf(Not_ord);

	public static final EntityDescriptor<Equals> Equals = (EntityDescriptor<Equals>) instance
			.valueOf(Equals_ord);

	public static final EntityDescriptor<LessThan> LessThan = (EntityDescriptor<LessThan>) instance
			.valueOf(LessThan_ord);

	public static final EntityDescriptor<GreaterThan> GreaterThan = (EntityDescriptor<GreaterThan>) instance
			.valueOf(GreaterThan_ord);

	private ILEntityDescriptorEnum() {
		putSimpleEntityDescriptor(
				Statement_ord,
				"Statement",
				Statement.class,
				EnumSet.of(EntityModifiers.ABSTRACT),
				new int[] { IfElseStatement_ord, AssignmentStatement_ord,
						IfStatement_ord, BlockStatement_ord, WhileStatement_ord });
		putCompositeEntityDescriptor(BlockStatement_ord, "BlockStatement",
				BlockStatement.class, EnumSet.noneOf(EntityModifiers.class),
				Statement_ord, Statement.class, EnumSet
						.of(CompositeModifiers.ORDERED));
		putSimpleEntityDescriptor(IfStatement_ord, "IfStatement",
				IfStatement.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { IfStatement_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.condition,
						ILFeatureDescriptorEnum.trueBody }, new int[] {
						Expression_ord, Statement_ord }, new Class[] {
						Expression.class, Statement.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(IfElseStatement_ord, "IfElseStatement",
				IfElseStatement.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { IfElseStatement_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.condition,
						ILFeatureDescriptorEnum.trueBody,
						ILFeatureDescriptorEnum.falseBody }, new int[] {
						Expression_ord, Statement_ord, Statement_ord },
				new Class[] { Expression.class, Statement.class,
						Statement.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(WhileStatement_ord, "WhileStatement",
				WhileStatement.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { WhileStatement_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.condition,
						ILFeatureDescriptorEnum.trueBody }, new int[] {
						Expression_ord, Statement_ord }, new Class[] {
						Expression.class, Statement.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(AssignmentStatement_ord,
				"AssignmentStatement", AssignmentStatement.class, EnumSet
						.noneOf(EntityModifiers.class),
				new int[] { AssignmentStatement_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.variable,
						ILFeatureDescriptorEnum.expression }, new int[] {
						Variable_ord, Expression_ord }, new Class[] {
						Variable.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Expression_ord, "Expression",
				Expression.class, EnumSet.of(EntityModifiers.ABSTRACT),
				new int[] { Multiplication_ord, Variable_ord, LessThan_ord,
						IntLiteral_ord, Not_ord, Subtraction_ord, Division_ord,
						Or_ord, GreaterThan_ord, Equals_ord, Addition_ord,
						BooleanLiteral_ord, And_ord });
		putSimpleEntityDescriptor(Literal_ord, "Literal", Literal.class,
				EnumSet.of(EntityModifiers.ABSTRACT), new int[] {
						IntLiteral_ord, BooleanLiteral_ord });
		putDataEntityDescriptor(BooleanLiteral_ord, "BooleanLiteral",
				BooleanLiteral.class, EnumSet.noneOf(EntityModifiers.class),
				boolean.class);
		putDataEntityDescriptor(IntLiteral_ord, "IntLiteral", IntLiteral.class,
				EnumSet.noneOf(EntityModifiers.class), int.class);
		putDataEntityDescriptor(Variable_ord, "Variable", Variable.class,
				EnumSet.noneOf(EntityModifiers.class), String.class);
		putSimpleEntityDescriptor(Addition_ord, "Addition", Addition.class,
				EnumSet.noneOf(EntityModifiers.class),
				new int[] { Addition_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Subtraction_ord, "Subtraction",
				Subtraction.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { Subtraction_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Multiplication_ord, "Multiplication",
				Multiplication.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { Multiplication_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Division_ord, "Division", Division.class,
				EnumSet.noneOf(EntityModifiers.class),
				new int[] { Division_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(And_ord, "And", And.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { And_ord },
				new FeatureDescriptor[] { ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Or_ord, "Or", Or.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { Or_ord },
				new FeatureDescriptor[] { ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Not_ord, "Not", Not.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { Not_ord },
				new FeatureDescriptor[] { ILFeatureDescriptorEnum.exp },
				new int[] { Expression_ord }, new Class[] { Expression.class },
				new EnumSet[] { EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(Equals_ord, "Equals", Equals.class, EnumSet
				.noneOf(EntityModifiers.class), new int[] { Equals_ord },
				new FeatureDescriptor[] { ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(LessThan_ord, "LessThan", LessThan.class,
				EnumSet.noneOf(EntityModifiers.class),
				new int[] { LessThan_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
		putSimpleEntityDescriptor(GreaterThan_ord, "GreaterThan",
				GreaterThan.class, EnumSet.noneOf(EntityModifiers.class),
				new int[] { GreaterThan_ord }, new FeatureDescriptor[] {
						ILFeatureDescriptorEnum.exp1,
						ILFeatureDescriptorEnum.exp2 }, new int[] {
						Expression_ord, Expression_ord }, new Class[] {
						Expression.class, Expression.class }, new EnumSet[] {
						EnumSet.noneOf(FeatureModifiers.class),
						EnumSet.noneOf(FeatureModifiers.class) });
	}

	private static final long serialVersionUID = 1;
}
