package labss.lang.il.reflect;

import org.whole.lang.reflect.AbstractDeployer;
import org.whole.lang.reflect.ReflectionFactory;
import org.whole.lang.builders.IBuilderFactory;
import org.whole.lang.builders.IBuilder;
import org.whole.lang.contexts.IEntityContext;
import labss.lang.il.builders.IILBuilder;
import labss.lang.il.builders.ILGenericBuilderAdapter;
import org.whole.lang.builders.GenericBuilderAdapterOperation;
import labss.lang.il.builders.ILSpecificBuilderAdapter;
import org.whole.lang.builders.SpecificBuilderAdapterOperation;

/** 
 * @generator Whole
 */
public class ILLanguageDeployer extends AbstractDeployer {
	public void deploy(ReflectionFactory platform) {
		platform.addLanguageKit(ILLanguageKit.ID);
		platform.addOperationFactory(ILLanguageKit.ID,
				GenericBuilderAdapterOperation.ID, new IBuilderFactory() {
					public IBuilder create(IBuilder strategy,
							IEntityContext entityContext) {
						return new ILGenericBuilderAdapter(
								(IILBuilder) strategy, entityContext);
					}
				});
		platform.addOperationFactory(ILLanguageKit.ID,
				SpecificBuilderAdapterOperation.ID, new IBuilderFactory() {
					public IBuilder create(IBuilder strategy,
							IEntityContext entityContext) {
						return new ILSpecificBuilderAdapter(strategy,
								entityContext);
					}
				});
	}

	public void undeploy(ReflectionFactory platform) {
		platform.removeLanguageKit(ILLanguageKit.ID);
	}
}
