package labss.lang.il.visitors;

import org.whole.lang.visitors.AbstractVisitor;
import labss.lang.il.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.il.reflect.ILEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public abstract class ILIdentitySwitchVisitor extends AbstractVisitor implements
		IILVisitor {
	public void visit(IEntity entity) {
		switch (entity.wGetEntityOrd()) {
		case ILEntityDescriptorEnum.BlockStatement_ord:
			visit((BlockStatement) entity);
			break;
		case ILEntityDescriptorEnum.IfStatement_ord:
			visit((IfStatement) entity);
			break;
		case ILEntityDescriptorEnum.IfElseStatement_ord:
			visit((IfElseStatement) entity);
			break;
		case ILEntityDescriptorEnum.WhileStatement_ord:
			visit((WhileStatement) entity);
			break;
		case ILEntityDescriptorEnum.AssignmentStatement_ord:
			visit((AssignmentStatement) entity);
			break;
		case ILEntityDescriptorEnum.BooleanLiteral_ord:
			visit((BooleanLiteral) entity);
			break;
		case ILEntityDescriptorEnum.IntLiteral_ord:
			visit((IntLiteral) entity);
			break;
		case ILEntityDescriptorEnum.Variable_ord:
			visit((Variable) entity);
			break;
		case ILEntityDescriptorEnum.Addition_ord:
			visit((Addition) entity);
			break;
		case ILEntityDescriptorEnum.Subtraction_ord:
			visit((Subtraction) entity);
			break;
		case ILEntityDescriptorEnum.Multiplication_ord:
			visit((Multiplication) entity);
			break;
		case ILEntityDescriptorEnum.Division_ord:
			visit((Division) entity);
			break;
		case ILEntityDescriptorEnum.And_ord:
			visit((And) entity);
			break;
		case ILEntityDescriptorEnum.Or_ord:
			visit((Or) entity);
			break;
		case ILEntityDescriptorEnum.Not_ord:
			visit((Not) entity);
			break;
		case ILEntityDescriptorEnum.Equals_ord:
			visit((Equals) entity);
			break;
		case ILEntityDescriptorEnum.LessThan_ord:
			visit((LessThan) entity);
			break;
		case ILEntityDescriptorEnum.GreaterThan_ord:
			visit((GreaterThan) entity);
			break;
		}
	}
}
