package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class ClassificaAdapter extends AbstractEntityAdapter implements
		Classifica {
	private static final long serialVersionUID = 1;

	public ClassificaAdapter(IEntity implementor) {
		super(implementor);
	}

	public ClassificaAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Classifica> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Classifica;
	}

	public Nome getNome() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.nome);
	}

	public void setNome(Nome nome) {
		wSet(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public Classificati getClassificati() {
		return (Classificati) wGet(MotoMondialeFeatureDescriptorEnum.classificati);
	}

	public void setClassificati(Classificati classificati) {
		wSet(MotoMondialeFeatureDescriptorEnum.classificati, classificati);
	}
}
