package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.model.CostruttoreEnum.Value;

/** 
 * @generator Whole
 */
public class CostruttoreAdapter extends AbstractEntityAdapter implements
		Costruttore {
	private static final long serialVersionUID = 1;

	public CostruttoreAdapter(IEntity implementor) {
		super(implementor);
	}

	public CostruttoreAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Costruttore> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Costruttore;
	}

	public Value getValue() {
		return (Value) wEnumValue();
	}

	public void setValue(Value value) {
		wSetValue(value);
	}
}
