package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class GaraAdapter extends AbstractEntityAdapter implements Gara {
	private static final long serialVersionUID = 1;

	public GaraAdapter(IEntity implementor) {
		super(implementor);
	}

	public GaraAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Gara> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Gara;
	}

	public Nome getNomeCircuito() {
		return (Nome) wGet(MotoMondialeFeatureDescriptorEnum.nomeCircuito);
	}

	public void setNomeCircuito(Nome nomeCircuito) {
		wSet(MotoMondialeFeatureDescriptorEnum.nomeCircuito, nomeCircuito);
	}

	public Data getData() {
		return (Data) wGet(MotoMondialeFeatureDescriptorEnum.data);
	}

	public void setData(Data data) {
		wSet(MotoMondialeFeatureDescriptorEnum.data, data);
	}

	public OrdineDArrivo getOrdineDArrivo() {
		return (OrdineDArrivo) wGet(MotoMondialeFeatureDescriptorEnum.ordineDArrivo);
	}

	public void setOrdineDArrivo(OrdineDArrivo ordineDArrivo) {
		wSet(MotoMondialeFeatureDescriptorEnum.ordineDArrivo, ordineDArrivo);
	}
}
