package labss.lang.motomondiale.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.motomondiale.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class NumeroAdapter extends AbstractEntityAdapter implements Numero {
	private static final long serialVersionUID = 1;

	public NumeroAdapter(IEntity implementor) {
		super(implementor);
	}

	public NumeroAdapter() {
	}

	public void accept(IMotoMondialeVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<Numero> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Numero;
	}

	public int getValue() {
		return wIntValue();
	}

	public void setValue(int value) {
		wSetValue(value);
	}
}
