package labss.lang.motomondiale.model.impl;

import org.whole.lang.model.AbstractSimpleEntity;
import labss.lang.motomondiale.model.*;
import labss.lang.motomondiale.visitors.IMotoMondialeVisitor;
import labss.lang.motomondiale.reflect.MotoMondialeEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.motomondiale.reflect.MotoMondialeFeatureDescriptorEnum;
import org.whole.lang.model.IEntity;
import java.lang.StringBuffer;

/** 
 * @generator Whole
 */
public class PilotaImpl extends AbstractSimpleEntity implements Pilota {
	private static final long serialVersionUID = 1;

	public void accept(IMotoMondialeVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return MotoMondialeEntityDescriptorEnum.Pilota_ord;
	}

	public EntityDescriptor<Pilota> wGetEntityDescriptor() {
		return MotoMondialeEntityDescriptorEnum.Pilota;
	}

	public int wHashCode() {
		return getNome().wHashCode();
	}

	public boolean wEquals(IEntity entity) {
		if (this == entity)
			return true;
		if (!wGetEntityDescriptor().equals(entity.wGetEntityDescriptor()))
			return false;
		try {
			return getNome().wEquals(
					entity.wGet(MotoMondialeFeatureDescriptorEnum.nome));
		} catch (Exception e) {
			return false;
		}
	}

	protected void toString(StringBuffer buffer) {
		buffer.append("nome=");
		buffer.append(nome);
	}

	private Nome nome;

	public Nome getNome() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.nome, nome);
	}

	public void setNome(Nome nome) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.nome, this.nome,
				this.nome = nome);
	}

	public IEntity wGet(int index) {
		switch (index) {
		case 0:
			return getNome();
		case 1:
			return getNumero();
		default:
			throw new IllegalArgumentException();
		}
	}

	public void wSet(int index, IEntity value) {
		switch (index) {
		case 0:
			setNome(value.wGetAdapter(MotoMondialeEntityDescriptorEnum.Nome));
			break;
		case 1:
			setNumero(value
					.wGetAdapter(MotoMondialeEntityDescriptorEnum.Numero));
			break;
		default:
			throw new IllegalArgumentException();
		}
	}

	private Numero numero;

	public Numero getNumero() {
		return notifyRequested(MotoMondialeFeatureDescriptorEnum.numero, numero);
	}

	public void setNumero(Numero numero) {
		notifyChanged(MotoMondialeFeatureDescriptorEnum.numero, this.numero,
				this.numero = numero);
	}

	public int wSize() {
		return 2;
	}
}
