package labss.lang.motomondiale.visitors;

import org.whole.lang.visitors.AbstractVisitor;
import org.whole.lang.visitors.IBinaryVisitor;
import labss.lang.motomondiale.model.*;
import org.whole.lang.visitors.IVisitor;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class MotoMondialeSequenceVisitor extends AbstractVisitor implements
		IMotoMondialeVisitor, IBinaryVisitor {
	protected IMotoMondialeVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = (IMotoMondialeVisitor) visitor1;
	}

	protected IMotoMondialeVisitor visitor2;

	public void wSetVisitor2(IVisitor visitor2) {
		this.visitor2 = (IMotoMondialeVisitor) visitor2;
	}

	public MotoMondialeSequenceVisitor(IVisitor visitor1, IVisitor visitor2) {
		wSetVisitor1(visitor1);
		wSetVisitor2(visitor2);
	}

	public void visit(IEntity entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(MotoMondiale entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Calendario entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Gara entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(OrdineDArrivo entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Circuiti entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Circuito entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Teams entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Team entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Pilota entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Costruttore entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Classifiche entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Classifica entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Classificati entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Classificato entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Nome entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Numero entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(Data entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}
}
