package labss.lang.regexp.builders;

import org.whole.lang.builders.GenericBuilderContext;
import org.whole.lang.builders.IBuilder;
import org.whole.lang.contexts.IEntityContext;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class RegExpSpecificBuilderAdapter extends GenericBuilderContext
		implements IRegExpBuilder {
	public RegExpSpecificBuilderAdapter(IBuilder strategy) {
		super(strategy);
	}

	public RegExpSpecificBuilderAdapter(IBuilder strategy,
			IEntityContext entityContext) {
		super(strategy, entityContext);
	}

	public void repetition() {
		wFeature(RegExpFeatureDescriptorEnum.repetition);
	}

	public void alt2() {
		wFeature(RegExpFeatureDescriptorEnum.alt2);
	}

	public void alt1() {
		wFeature(RegExpFeatureDescriptorEnum.alt1);
	}

	public void exp2() {
		wFeature(RegExpFeatureDescriptorEnum.exp2);
	}

	public void exp1() {
		wFeature(RegExpFeatureDescriptorEnum.exp1);
	}

	public void visit() {
	}

	public void LiteralExp() {
		wEntity(RegExpEntityDescriptorEnum.LiteralExp);
	}

	public void LiteralExp(String value) {
		wEntity(RegExpEntityDescriptorEnum.LiteralExp, value);
	}

	public void SequenceExp() {
		wEntity(RegExpEntityDescriptorEnum.SequenceExp);
	}

	public void SequenceExp_() {
		wEntity_(RegExpEntityDescriptorEnum.SequenceExp);
	}

	public void _SequenceExp() {
		_wEntity(RegExpEntityDescriptorEnum.SequenceExp);
	}

	public void AlternationExp() {
		wEntity(RegExpEntityDescriptorEnum.AlternationExp);
	}

	public void AlternationExp_() {
		wEntity_(RegExpEntityDescriptorEnum.AlternationExp);
	}

	public void _AlternationExp() {
		_wEntity(RegExpEntityDescriptorEnum.AlternationExp);
	}

	public void RepetitionExp() {
		wEntity(RegExpEntityDescriptorEnum.RepetitionExp);
	}

	public void RepetitionExp_() {
		wEntity_(RegExpEntityDescriptorEnum.RepetitionExp);
	}

	public void _RepetitionExp() {
		_wEntity(RegExpEntityDescriptorEnum.RepetitionExp);
	}
}
