package labss.lang.regexp.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.regexp.visitors.IRegExpVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import labss.lang.regexp.reflect.RegExpFeatureDescriptorEnum;

/** 
 * @generator Whole
 */
public class AlternationExpAdapter extends AbstractEntityAdapter implements
		AlternationExp {
	private static final long serialVersionUID = 1;

	public AlternationExpAdapter(IEntity implementor) {
		super(implementor);
	}

	public AlternationExpAdapter() {
	}

	public void accept(IRegExpVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<AlternationExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.AlternationExp;
	}

	public RegExp getAlt1() {
		return (RegExp) wGet(RegExpFeatureDescriptorEnum.alt1);
	}

	public void setAlt1(RegExp alt1) {
		wSet(RegExpFeatureDescriptorEnum.alt1, alt1);
	}

	public RegExp getAlt2() {
		return (RegExp) wGet(RegExpFeatureDescriptorEnum.alt2);
	}

	public void setAlt2(RegExp alt2) {
		wSet(RegExpFeatureDescriptorEnum.alt2, alt2);
	}
}
