package labss.lang.regexp.model.adapters;

import org.whole.lang.model.adapters.AbstractEntityAdapter;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;
import labss.lang.regexp.visitors.IRegExpVisitor;
import org.whole.lang.reflect.EntityDescriptor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;

/** 
 * @generator Whole
 */
public class LiteralExpAdapter extends AbstractEntityAdapter implements
		LiteralExp {
	private static final long serialVersionUID = 1;

	public LiteralExpAdapter(IEntity implementor) {
		super(implementor);
	}

	public LiteralExpAdapter() {
	}

	public void accept(IRegExpVisitor visitor) {
		if (visitor.visitAdapter(this))
			visitor.visit(this);
	}

	public EntityDescriptor<LiteralExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.LiteralExp;
	}

	public String getValue() {
		return wStringValue();
	}

	public void setValue(String value) {
		wSetValue(value);
	}
}
