package labss.lang.regexp.model.impl;

import org.whole.lang.model.AbstractDataEntity;
import labss.lang.regexp.model.*;
import labss.lang.regexp.visitors.IRegExpVisitor;
import labss.lang.regexp.reflect.RegExpEntityDescriptorEnum;
import org.whole.lang.reflect.EntityDescriptor;

/** 
 * @generator Whole
 */
public class LiteralExpImpl extends AbstractDataEntity implements LiteralExp {
	private static final long serialVersionUID = 1;

	private String value;

	public String getValue() {
		return notifyRequested(value);
	}

	public void setValue(String value) {
		notifyChanged(this.value, this.value = value);
	}

	public void accept(IRegExpVisitor visitor) {
		visitor.visit(this);
	}

	public int wGetEntityOrd() {
		return RegExpEntityDescriptorEnum.LiteralExp_ord;
	}

	public EntityDescriptor<LiteralExp> wGetEntityDescriptor() {
		return RegExpEntityDescriptorEnum.LiteralExp;
	}

	public Object wGetValue() {
		return getValue();
	}

	public void wSetValue(Object value) {
		setValue((String) value);
	}

	public String wStringValue() {
		return getValue();
	}

	public void wSetValue(String value) {
		setValue(value);
	}
}
