package labss.lang.regexp.visitors;

import org.whole.lang.visitors.GenericForwardStrategyVisitor;
import labss.lang.regexp.model.*;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class RegExpForwardStrategyVisitor extends
		GenericForwardStrategyVisitor<IRegExpVisitor> implements IRegExpVisitor {
	public RegExpForwardStrategyVisitor() {
		this(new RegExpIdentityVisitor());
	}

	public RegExpForwardStrategyVisitor(IRegExpVisitor... initialStrategies) {
		super(initialStrategies);
	}

	public void visit(IEntity entity) {
		((IRegExpEntity) entity).accept(this);
	}

	public void visit(LiteralExp entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(SequenceExp entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(AlternationExp entity) {
		wGetStrategy().visit(entity);
	}

	public void visit(RepetitionExp entity) {
		wGetStrategy().visit(entity);
	}
}
