package labss.lang.regexp.visitors;

import org.whole.lang.visitors.AbstractVisitor;
import org.whole.lang.visitors.IBinaryVisitor;
import labss.lang.regexp.model.*;
import org.whole.lang.visitors.IVisitor;
import org.whole.lang.model.IEntity;

/** 
 * @generator Whole
 */
public class RegExpSequenceVisitor extends AbstractVisitor implements
		IRegExpVisitor, IBinaryVisitor {
	protected IRegExpVisitor visitor1;

	public void wSetVisitor1(IVisitor visitor1) {
		this.visitor1 = (IRegExpVisitor) visitor1;
	}

	protected IRegExpVisitor visitor2;

	public void wSetVisitor2(IVisitor visitor2) {
		this.visitor2 = (IRegExpVisitor) visitor2;
	}

	public RegExpSequenceVisitor(IVisitor visitor1, IVisitor visitor2) {
		wSetVisitor1(visitor1);
		wSetVisitor2(visitor2);
	}

	public void visit(IEntity entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(LiteralExp entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(SequenceExp entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(AlternationExp entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}

	public void visit(RepetitionExp entity) {
		visitor1.visit(entity);
		visitor2.visit(entity);
	}
}
